# Parallel Developer Documentation **Legacy – v1.x**

This is documentation for Parallel Developer Documentation **Legacy – v1.x**, which is no longer actively maintained.

For up-to-date documentation, see the **[latest version](https://developer.parallelmarkets.com/docs/server/case-management-api/files/list)** (Current – v2.x).

## Overview

This endpoint can be used to obtain a list of all files uploaded by an individual or business.

### HTTP Request

```http
GET https://api.parallelmarkets.com/v1/partner-records/{id}/files
```

- `{id}` - the individual or business ID in your case management account.

### Query Parameters

[Pagination request parameters](https://developer.parallelmarkets.com/docs/1.x/server/case-management-api/introduction#pagination) (optional).

### Response Parameters

| Parameter  | Description |
|------------|-------------|
| `data`     | An array of [Record File](https://developer.parallelmarkets.com/docs/1.x/server/data-structures#record-file) objects associated with the individual or business. |
| `pagination` | A [Pagination](https://developer.parallelmarkets.com/docs/1.x/server/case-management-api/introduction#pagination) object containing a `next_cursor` value that can be used in a subsequent API call to obtain the next page of records. |

### Example Response

```json
{
  "data": [
    {
      "category": "identity-document",
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo5NDY=",
      "download_url": "https://secure-files.parallelmarkets.com/file/TWl...",
      "download_url_expires": 30,
      "type": "drivers-license"
    },
    {
      "category": "accreditation-document",
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo5MzQ=",
      "download_url": "https://secure-files.parallelmarkets.com/file/6yL...",
      "download_url_expires": 30,
      "type": "certification-letter"
    }
  ],
  "pagination": {
    "next_cursor": "MTIzNDU="
  }
}
```
